Bug 27356 - Don't hide the SMTP servers table when last displayed is deleted
Summary: Don't hide the SMTP servers table when last displayed is deleted
Status: RESOLVED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Templates (show other bugs)
Version: unspecified
Hardware: All All
: P5 - low minor (vote)
Assignee: Jonathan Druart
QA Contact: Testopia
URL:
Keywords:
Depends on: 22343
Blocks:
  Show dependency treegraph
 
Reported: 2021-01-07 10:13 UTC by Jonathan Druart
Modified: 2021-06-14 21:35 UTC (History)
4 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Trivial patch
Text to go in the release notes:
Version(s) released in:
21.05.00,20.11.02


Attachments
Bug 27356: Don't hide the SMTP servers table when last displayed is deleted (1.62 KB, patch)
2021-01-07 10:16 UTC, Jonathan Druart
Details | Diff | Splinter Review
Bug 27356: Don't hide the SMTP servers table when last displayed is deleted (1.68 KB, patch)
2021-01-08 08:45 UTC, Fridolin Somers
Details | Diff | Splinter Review
Bug 27356: Don't hide the SMTP servers table when last displayed is deleted (1.74 KB, patch)
2021-01-10 22:29 UTC, Katrin Fischer
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Jonathan Druart 2021-01-07 10:13:44 UTC
Found on bug 27251 which was mimicking SMTP server code for QOTD.

To recreate:
Create a SMTP server with name "a"
Create a SMTP server with name "aa"

Filter by "aa"
=> Only 1 row displayed

Delete it, confirm
=> The table disappears
Comment 1 Jonathan Druart 2021-01-07 10:16:42 UTC
Created attachment 114904 [details] [review]
Bug 27356: Don't hide the SMTP servers table when last displayed is deleted

Found on bug 27251 which was mimicking SMTP server code for QOTD.

To recreate:
Create a SMTP server with name "a"
Create a SMTP server with name "aa"

Filter by "aa"
=> Only 1 row displayed

Delete it, confirm
=> The table disappears

Note that we could re-add this test when bug 27353 will be pushed, as
recordsTotal will contain the unfiltered number of records in the DB.
Comment 2 Fridolin Somers 2021-01-08 08:45:51 UTC
Created attachment 114948 [details] [review]
Bug 27356: Don't hide the SMTP servers table when last displayed is deleted

Found on bug 27251 which was mimicking SMTP server code for QOTD.

To recreate:
Create a SMTP server with name "a"
Create a SMTP server with name "aa"

Filter by "aa"
=> Only 1 row displayed

Delete it, confirm
=> The table disappears

Note that we could re-add this test when bug 27353 will be pushed, as
recordsTotal will contain the unfiltered number of records in the DB.

Signed-off-by: Fridolin Somers <fridolin.somers@biblibre.com>
Comment 3 Fridolin Somers 2021-01-08 08:48:09 UTC
BTW : 
"Default configuration" message is quite big.
We may move it to a button opening a modal popup ?
Comment 4 Tomás Cohen Arazi 2021-01-08 11:05:44 UTC
(In reply to Fridolin Somers from comment #3)
> BTW : 
> "Default configuration" message is quite big.
> We may move it to a button opening a modal popup ?

That's a good idea.
Comment 5 Katrin Fischer 2021-01-10 22:29:18 UTC
Created attachment 115000 [details] [review]
Bug 27356: Don't hide the SMTP servers table when last displayed is deleted

Found on bug 27251 which was mimicking SMTP server code for QOTD.

To recreate:
Create a SMTP server with name "a"
Create a SMTP server with name "aa"

Filter by "aa"
=> Only 1 row displayed

Delete it, confirm
=> The table disappears

Note that we could re-add this test when bug 27353 will be pushed, as
recordsTotal will contain the unfiltered number of records in the DB.

Signed-off-by: Fridolin Somers <fridolin.somers@biblibre.com>

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Comment 6 Jonathan Druart 2021-01-12 10:43:19 UTC
Pushed to master for 21.05, thanks to everybody involved!
Comment 7 Fridolin Somers 2021-01-18 14:26:04 UTC
Pushed to 20.11.x for 20.11.02
Comment 8 Andrew Fuerste-Henry 2021-01-22 16:35:20 UTC
Missing dependencies, not backported to 20.05